I've got Itunes 7.5.0.2 and I want to Iplus my 1.1.4 OTB . Would this version of Itunes be compatible with 1.1.4 or do I need to upgrade Itunes ?
Pakal